## libturpial 1.7.0

=== requirements.txt ===
setuptools
oauth>=1.0.1
simplejson>=3.3.1
requests>=2.0.0

## libturpial 1.6.0

=== debian/changelog ===
libturpial (1.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 23 Jan 2014 17:33:46 -0300

libturpial (1.5.9-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 19 Jan 2014 15:55:39 -0300

libturpial (1.1.16-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Jan 2014 20:23:24 -0300

libturpial (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #730350).

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 21 Dec 2013 13:17:58 -0300

=== debian/control ===
Source: libturpial
Maintainer: Miguel Landaeta <nomadium@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~), python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Vcs-Git: git://anonscm.debian.org/collab-maint/libturpial.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libturpial.git
Homepage: http://github.com/Turpial/libturpial

Package: python-libturpial
Architecture: all
Depends: ${misc:Depends}, python-requests (>= 2.0.0~),
 python-simplejson (>= 3.3.1~), ${python:Depends}
Description: Python library that handles multiple microblogging protocols
 libturpial aims to implement all the features and support the main
 microblogging platforms like Twitter and Identi.ca.
 .
 libturpial is the backend of Turpial microblogging client.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_build:
	# this avoids the warning about unexpected upstream changes
	mkdir bak && cp libturpial.egg-info/PKG-INFO bak
	dh_auto_build
	# remove bundled cacert file from build
	-find build -name cacert.pem -delete

override_dh_fixperms:
	dh_fixperms
	# this avoids executable-not-elf-or-script lintian warnings
	-find debian/python-libturpial/usr/share/pyshared/libturpial-*.egg-info \
		-type f -exec chmod 0644 {} \;

override_dh_auto_clean:
	-mv bak/PKG-INFO libturpial.egg-info/PKG-INFO && rm -rf bak
	dh_auto_clean

## libturpial 1.7.0

=== debian/changelog ===
libturpial (1.7.0-4) unstable; urgency=medium

  * Orphan package.
  * Bump DH compat level to 10.
  * Bump Standards-Version to 4.0.0.
  * Wrap and sort dependencies lists.
  * Update Vcs-* and Homepage fields.
  * Update copyright info.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 12 Aug 2017 09:41:06 +0100

libturpial (1.7.0-3) unstable; urgency=medium

  * Disable unit tests.
  * Fix several executable-not-elf-or-script lintian warnings.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 16 Sep 2014 19:27:13 -0430

libturpial (1.7.0-2) unstable; urgency=low

  * Remove unit tests from /usr/share/pyshared. (Closes: #744992).

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 17 Apr 2014 14:15:48 -0300

libturpial (1.7.0-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Enable unit tests during build-time.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 09 Apr 2014 15:36:41 -0300

libturpial (1.7.0~b3-1) experimental; urgency=low

  * New upstream release.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 23 Mar 2014 23:06:50 -0300

libturpial (1.7.0~b2-1) experimental; urgency=low

  * New upstream release.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 13 Mar 2014 15:32:53 -0300

=== debian/control ===
Source: libturpial
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10~),
               python-all (>= 2.6.6-3~),
               python-oauth,
               python-pytest,
               python-requests,
               python-setuptools
Standards-Version: 4.0.0
X-Python-Version: >= 2.7
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libturpial.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libturpial.git
Homepage: https://github.com/satanas/libturpial

Package: python-libturpial
Architecture: all
Depends: python-simplejson (>= 3.3.1~),
         python-requests (>= 2.0.0~),
         ${misc:Depends},
         ${python:Depends}
Description: Python library that handles multiple microblogging protocols
 libturpial aims to implement all the features and support the main
 microblogging platforms like Twitter and Identi.ca.
 .
 libturpial is the backend of Turpial microblogging client.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_build:
	# this avoids the warning about unexpected upstream changes
	mkdir bak && cp libturpial.egg-info/PKG-INFO libturpial.egg-info/top_level.txt bak
	dh_auto_build
	# remove bundled cacert file from build
	-find build -name cacert.pem -delete

override_dh_auto_install:
	dh_auto_install
	-find debian/python-libturpial -name tests -type d -exec rm -rf {} \;

override_dh_auto_test:
	dh_auto_test
	#py.test libturpial tests/ # see 750348

override_dh_fixperms:
	dh_fixperms
	# this avoids executable-not-elf-or-script lintian warnings
	-find debian/python-libturpial/usr/lib/python2.*/dist-packages/libturpial-*.egg-info \
		-type f -exec chmod 0644 {} \;

override_dh_auto_clean:
	-mv bak/PKG-INFO libturpial.egg-info/PKG-INFO
	-mv bak/top_level.txt libturpial.egg-info/top_level.txt
	-rm -rf bak
	dh_auto_clean
